You are here

Not available for my device???

FatCat's picture
I was in the War!
PayPal Backer
Posts: 2642
Not available for my device???
#1 Submitted: Tue, 08/08/2017 - 22:44

I have an LG Nexus 5, my android version is higher than the requirements, then why does the google play store say that "Your device isn't compatible with this version."?

???

Are there hidden requirements that I'm unaware of?

Edited by: FatCat on 08/08/2017 - 22:49
shane's picture
Community Manager
Stainless
Posts: 1275
Submitted: Wed, 09/08/2017 - 09:10

Hey FatCat, I'm afraid that device doesn't meet the min requirements for the game.

CzechDeath's picture
Velociraptor Fister
Community VIPKickstarter BackerCompetition Winner
Posts: 1831
Submitted: Wed, 09/08/2017 - 09:12

Welcome to my world FC =D hah

KakkaHousu's picture
Piledriver
PayPal Backer
Posts: 564
Submitted: Wed, 09/08/2017 - 14:12

By the way, where Google Play look if my device is compatible? From minimum system requirements?

I understand this is probably for reason (review section of Play is allready wild west), but I don't like that system, it just ads artificial restrictions. I had Comix Zone installed, ran great.Then update came, and they changed requirements. Now Play would not allow me play anymore, even though my device is powerfull enough.

FatCat's picture
I was in the War!
PayPal Backer
Posts: 2642
Submitted: Wed, 09/08/2017 - 15:44

ok.